package com.mx.dla.dda.reporte.oyp.dtos;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import com.mx.dla.dda.reporte.general.dtos.CeldaBaseDTO;
import com.mx.dla.global.dtos.BaseDTO;

public class ReporteOveragesYPaymentsVistaDTO extends BaseDTO {

	private static final long serialVersionUID = 2528538553788675040L;
	private List<ArrayList<CeldaBaseDTO>> tabla;
	private List<ArrayList<CeldaBaseDTO>> header;
	private List<String> columnCfg;

	public List<ArrayList<CeldaBaseDTO>> getTabla() {
		return tabla;
	}

	public void setTabla(List<ArrayList<CeldaBaseDTO>> tabla) {
		this.tabla = tabla;
	}


	public List<ArrayList<CeldaBaseDTO>> getHeader() {
		return header;
	}

	public void setHeader(List<ArrayList<CeldaBaseDTO>> header) {
		this.header = header;
	}

	public List<String> getColumnCfg() {
		return columnCfg;
	}

	public void setColumnCfg(List<String> columnCfg) {
		this.columnCfg = columnCfg;
	}

	@Override
	public String toString() {
		return "ReporteOveragesYPaymentsVistaDTO [tabla=" + tabla + ", header=" + header + ", columnCfg=" + columnCfg
				+ "]";
	}

}
